commit:     0218c09c322860a53f61b4886cd361a74d4132dc
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  9 14:04:54 2018 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Fri Nov  9 14:20:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0218c09c

dev-python/pyquery: py3_7 + eapi7

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>

 dev-python/pyquery/pyquery-1.2.13-r1.ebuild | 45 +++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/dev-python/pyquery/pyquery-1.2.13-r1.ebuild 
b/dev-python/pyquery/pyquery-1.2.13-r1.ebuild
new file mode 100644
index 00000000000..f3d235eb312
--- /dev/null
+++ b/dev-python/pyquery/pyquery-1.2.13-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A jQuery-like library for python"
+HOMEPAGE="https://github.com/gawel/pyquery";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/lxml-2.1[${PYTHON_USEDEP}]
+       >dev-python/cssselect-0.7.9[${PYTHON_USEDEP}]
+       >=dev-python/webob-1.1.9[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND}
+               dev-python/beautifulsoup[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/webtest[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/restkit[${PYTHON_USEDEP}]' 
'python2_7') )"
+
+python_prepare_all() {
+       # Disable tests needing a network connection
+       sed -i -e "s/HAS_REQUEST = True/HAS_REQUEST = False/" 
tests/test_pyquery.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # The suite, it appears, requires this hard setting of PYTHONPATH!
+       PYTHONPATH=. nosetests || die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       optfeature "Support for BeautifulSoup3 as a parser backend" 
dev-python/beautifulsoup
+}

Reply via email to